Package biotransformer.utils

## Class ChemStructureManipulator

- java.lang.Object
- - biotransformer.utils.ChemStructureManipulator

    public class ChemStructureManipulator
    extends java.lang.Object

### Constructor Summary

Constructors
`ChemStructureManipulator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.openscience.cdk.interfaces.IAtomContainer` `preprocessContainer​(org.openscience.cdk.interfaces.IAtomContainer molecule)` This function applies some preprocessing operations, such as setting the flag of atoms from aromatic rings to "ISAROMATIC", and kelulizing molecules.
`static org.openscience.cdk.interfaces.IAtomContainer` `standardizeMoleculeWithCopy​(org.openscience.cdk.interfaces.IAtomContainer molecule)`
`static org.openscience.cdk.interfaces.IAtomContainer` `standardizeMoleculeWithCopy​(org.openscience.cdk.interfaces.IAtomContainer molecule, boolean preprocess)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChemStructureManipulator

    public ChemStructureManipulator()

### Method Detail

#### preprocessContainer

    public static org.openscience.cdk.interfaces.IAtomContainer preprocessContainer​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                                                             throws org.openscience.cdk.exception.CDKException

This function applies some preprocessing operations, such as setting the flag of atoms from aromatic rings to "ISAROMATIC", and kelulizing molecules.

Parameters:
  `molecule` - : A molecule of interest
Returns:
  : A processed molecule (AtomContainer)
Throws:
  `java.lang.Exception`
  `org.openscience.cdk.exception.CDKException`

#### standardizeMoleculeWithCopy

    public static org.openscience.cdk.interfaces.IAtomContainer standardizeMoleculeWithCopy​(org.openscience.cdk.interfaces.IAtomContainer molecule)
                                                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### standardizeMoleculeWithCopy

    public static org.openscience.cdk.interfaces.IAtomContainer standardizeMoleculeWithCopy​(org.openscience.cdk.interfaces.IAtomContainer molecule,
                                                                                            boolean preprocess)
                                                                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`